from rest_framework import permissions, viewsets

from help.models import HelpUser
from help.serializers import HelpUserSerializer


class HelpUserViewSet(viewsets.ModelViewSet):
    """
    API endpoint that allows user help profile to be viewed or edited.

    """

    queryset = HelpUser.objects.all().order_by("user__username")
    serializer_class = HelpUserSerializer
    permission_classes = [permissions.IsAdminUser]
